Đến nội dung


Hình ảnh

Lỗi khi dùng lệnh fillet


  • Please log in to reply
17 replies to this topic

#1 cuongcv3

cuongcv3

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 01 August 2007 - 02:00 PM

Có ai biết lỗi này là gì k?


Command: f
FILLET
Current settings: Mode = TRIM, Radius = 5.0000
Select first object or [Undo/Polyline/Radius/Trim/Multiple]:
Select second object or shift-select to apply corner:
Lines are non coplanar.
Command:
:s_dead:
  • 0

#2 ssg

ssg

    biết lệnh adcenter

  • Vip
  • PipPipPipPipPipPipPip
  • 1228 Bài viết
Điểm đánh giá: 1087 (rất tốt)

Đã gửi 01 August 2007 - 02:34 PM

Có ai biết lỗi này là gì k?
Command: f
FILLET
Current settings: Mode = TRIM, Radius = 5.0000
Select first object or [Undo/Polyline/Radius/Trim/Multiple]:
Select second object or shift-select to apply corner:
Lines are non coplanar.
Command:
:s_dead:

Các lines không đồng phẳng! Lệnh fillet chỉ thực hiện khi các lines cùng nằm trong 1 mặt phẳng. Bạn kiểm tra lại tọa độ các line sẽ thấy ngay!
  • 0

#3 cuongcv3

cuongcv3

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 01 August 2007 - 03:43 PM

Các lines không đồng phẳng! Lệnh fillet chỉ thực hiện khi các lines cùng nằm trong 1 mặt phẳng. Bạn kiểm tra lại tọa độ các line sẽ thấy ngay!

Cảm ơn bác SSG, đúng như bác nghĩ.
Vậy có cách nào để đưa toàn bộ về 1 mặt phẳng tại Z = 0 k bác nhỉ?
  • 0

#4 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 01 August 2007 - 04:44 PM

Cảm ơn bác SSG, đúng như bác nghĩ.
Vậy có cách nào để đưa toàn bộ về 1 mặt phẳng tại Z = 0 k bác nhỉ?

Bạn dùng lệnh FLATTEN của AutoCAD.

Hoặc lệnh SuperIron của CADViet: http://www.cadviet.com/upfiles/SIron.vlx

hoặc có thể xem thêm ở đây!
  • 0

#5 cuongcv3

cuongcv3

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 02 August 2007 - 09:55 AM

Hoặc lệnh SuperIron của CADViet: http://www.cadviet.com/upfiles/SIron.vlx


Cảm ơn bác Nguyễn Hoành rất nhiều.
  • 0

#6 Mã Hoàng Vân Thanh

Mã Hoàng Vân Thanh

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 02 December 2011 - 04:54 PM

Nhân chủ đề về lệnh fillet mình có thể hỏi các bạn là tại sao mình copy dòng command gọi lệnh fillet trực tiếp ra màn hình cad( dòng màu đỏ) thì thực hiện được trong khi cho chạy file lisp thì không thực hiện được vậy????

Đây là code:


(Defun c:ct()
(setq a (cadr (entsel "nhap doi tuong 1"))
b (cadr (entsel "nhap doi tuong 2"))
)
(load "acettest.fas")
(c:expresstools)
(command ".fillet" a b "")
(princ)
)

Bài viết đã được chỉnh sửa nội dung bởi Mã Hoàng Vân Thanh: 02 December 2011 - 04:56 PM

  • 0

#7 lp_hai

lp_hai

    biết lệnh measure

  • Members
  • PipPipPipPipPipPip
  • 456 Bài viết
Điểm đánh giá: 202 (khá)

Đã gửi 05 December 2011 - 11:52 AM

mình thấy chạy cũng bình thường mà, có thể là do cái dòng này (load "acettest.fas")và (c:expresstools)
, mình chẵn hiểu lệnh fillet thì cần gì phải load những thứ này, làm cho lisp làm việc chậm hơn rất nhiều?!
Và mình thấy cũng hơi lạ là hàm (setq a(cadr(entsel))) hàm này trả về điểm chọn đối tượng chứ ko phải là trả về tên đối tượng, vậy mà cad cũng hiểu để fillet?
  • 0
Hình đã gửi

#8 Mã Hoàng Vân Thanh

Mã Hoàng Vân Thanh

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 December 2011 - 08:44 AM

uh. Mình đã làm thử với điểm chọn là 1 tọa độ. Fillet vẫn hiểu bạn à. Vậy có khi là do bảng cad của mình có vấn đề gì đây.
  • 0

#9 Mã Hoàng Vân Thanh

Mã Hoàng Vân Thanh

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 December 2011 - 08:49 AM

uh. Mình đã làm thử với điểm chọn là 1 tọa độ. Fillet vẫn hiểu bạn à. Vậy có khi là do bảng cad của mình có vấn đề gì đây.
Hhi. Mình vừa làm lại mấy dòng code. Đúng là với tọa độ thì chỉ thực hiện được dòng lệnh đó khi đang ở trong cad còn để chạy thì phải load entity name của nó.Cảm ơn bạn lp_hai nhiều nha!.^^
  • 0

#10 Mã Hoàng Vân Thanh

Mã Hoàng Vân Thanh

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 09 December 2011 - 09:51 PM

Lại một chút trục trặc với lệnh fillet nữa.hic.
Lênh này sai chỗ nào mà mình chạy ko dc....Hix.



;;;-------------------------------------------------------------
(defun makepl ( e d1 / ps pe d d2 p2)
(vl-load-com)
(setq
ps (vlax-curve-getStartPoint e)
pe (vlax-curve-getEndPoint e)
d (vlax-curve-getDistAtParam e (vlax-curve-getEndParam e))
d2 d1
)
(command "pline")
(command ps)
(while (<= d2 d)
(setq p2 (vlax-curve-getPointAtDist e d2))
(command p2)
(setq d2 (+ d2 d1))
)
(command pe "")
)

;;-------------------------------------
(defun c:gdm1(/ e a1 m n)
(setq d1 0.5)
(setq
taphop (ssget )
k (sslength taphop)
oldos (getvar "osmode")
i 0
)
(setvar "osmode" 0)
(repeat (sslength taphop)
(setq e (ssname taphop i))
(makepl e d1)
(setq i (1+ i))
)
(command "erase" taphop "")
(setvar "osmode" oldos)
(setq i 1)
(while (<= i k)
(progn
(setq a1 (getpoint "\n Click mot diem vao duong may")
m (getreal "\n Ban muon gia duong may nay bao nhieu?"))
;;--------------------------------------------------
(if (= m 0)
(setq i (+ i 1))
)
;;-------------------------------------------------
(if (> m 0)
(progn
(setq n (getpoint "\n Ban muon gia duong may theo huong nao ?"))
(command "offset" m a1 n "")
(setq i (+ i 1))
)
)
;;---------------------------------------------
)
)
(setq x1 (entsel" \n Nhap doi tuong")
gt (nth 0 x1)
taphop (list gt)
i 2
)
(while (<= i k)
(setq x1 (entsel" \n Nhap doi tuong")
gt1 (cadr x1)
gt (nth 0 x1)
taphop1 (list gt)
taphop (append taphop1 taphop)
)

(if (= i k )
(progn
(command "copy" x1 "" gt1 gt1 "" "")
(setq dt1(entsel " \n Nhap doi tuong ve cuoi cung")
dt (nth 0 dt1)
)
)
)
(setq i (+ i 1))
)
(setq taphop (reverse taphop))
(command ".fillet" dt (nth 0 taphop) )
;;-----------------------------------------------
(setq i 0)
(while (<= i (+ k 1))
(command "fillet" (nth i taphop) (nth (+ i 1) taphop) )
(setq i (+ i 1))
)

(princ)
)


;-------------------------------------------------
Nếu chép đoạn màu đỏ ra một chương trình khác thì chạy được nhưng ghép vào chương trình này thì nó lại không hju.huhu
  • 0

#11 Chiron

Chiron

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 310 Bài viết
Điểm đánh giá: 90 (tàm tạm)

Đã gửi 10 December 2011 - 08:47 AM

Có lẽ bạn nên đặt câu hỏi này bên box Autolisp, Topic "Hỏi về Lisp" thì đúng hơn. Đặt sai chỗ không ai muốn trả lời đâu. B)
  • 0

#12 Chiron

Chiron

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 310 Bài viết
Điểm đánh giá: 90 (tàm tạm)

Đã gửi 11 December 2011 - 09:09 AM

Có ai biết lỗi này là gì k?


Command: f
FILLET
Current settings: Mode = TRIM, Radius = 5.0000
Select first object or [Undo/Polyline/Radius/Trim/Multiple]:
Select second object or shift-select to apply corner:
Lines are non coplanar.
Command:
Hình đã gửi

Mình có cách này không pro nhưng trong 1 số trường hợp cũng rất hữu ích. Bạn áp dụng thử nhé.
Chọn các line muốn fillet > Ctrl + 1 > chuyển tọa độ Z về 0 (Start Z = 0, End Z = 0)
  • 0

#13 Mã Hoàng Vân Thanh

Mã Hoàng Vân Thanh

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 11 December 2011 - 02:51 PM

Lỗi này là gì vậy mọi người???


Command: .fillet
Current settings: Mode = TRIM, Radius = 0.0000
Select first object or [uNdo/Polyline/Radius/Trim/mUltiple]:
Select first object or [uNdo/Polyline/Radius/Trim/mUltiple]:
Select second object or shift-select to apply corner: .fillet

*Invalid selection*
Expects a point or Window/Last/Crossing/BOX/Fence/WPolygon/CPolygon
; error: Function cancelled
  • 0

#14 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 11 December 2011 - 03:45 PM

Có ai biết lỗi này là gì k?


Command: f
FILLET
Current settings: Mode = TRIM, Radius = 5.0000
Select first object or [Undo/Polyline/Radius/Trim/Multiple]:
Select second object or shift-select to apply corner:
Lines are non coplanar.
Command:
Hình đã gửi

Hề hề hề.
Cái này thì Cad nó muốn bảo bạn rằng các line bạn chọn không đồng phẳng nên không fillet được.
Hãy kiểm tra lại nhé.
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#15 binhminhlangle

binhminhlangle

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 12 March 2014 - 10:37 AM

E cung dang thac mac ND giong bac, buc minh qua, toan phai ve ra cho khac roi move vao. vao Google dich"Lines are non coplanar" thi do loi khong dong phang, nhung cung 1 layer thi ko đồng phẳng nỗi gì nhỉ!

 


  • 0

#16 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 12 March 2014 - 11:33 AM

E cung dang thac mac ND giong bac, buc minh qua, toan phai ve ra cho khac roi move vao. vao Google dich"Lines are non coplanar" thi do loi khong dong phang, nhung cung 1 layer thi ko đồng phẳng nỗi gì nhỉ!

 Tí ngất ^^


  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#17 nguyendbk48

nguyendbk48

    biết vẽ line

  • Members
  • PipPip
  • 21 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 12 March 2014 - 12:19 PM

Chịu bác, đồng phẳng là theo hh không gian ý bác (e đoán thế :D) , mà lần sau bác viết có dấu nhé, đau mắt quá @@

E cung dang thac mac ND giong bac, buc minh qua, toan phai ve ra cho khac roi move vao. vao Google dich"Lines are non coplanar" thi do loi khong dong phang, nhung cung 1 layer thi ko đồng phẳng nỗi gì nhỉ!


  • 0

Shop giày dép thời trang cao cấp XUDI.VN
Website: www.xudi.vn
Hotline: 0917.17.55.89
Địa chỉ: KĐT Trung Văn - Q.Nam Từ Liêm - TP.Hà Nội
___________________________________________________
Giày da nam, Giày da nam Hà Nội


#18 Hoan1111

Hoan1111

    biết lệnh adcenter

  • Members
  • PipPipPipPipPipPipPip
  • 2587 Bài viết
Điểm đánh giá: 692 (tốt)

Đã gửi 12 March 2014 - 03:17 PM

Chịu bác, đồng phẳng là theo hh không gian ý bác (e đoán thế :D) , mà lần sau bác viết có dấu nhé, đau mắt quá @@

 

Đồng phẳng là cùng trong một mặt phẳng, còn nó nằm ở dưới đất, trên giời hay ở dưới ...ao, đều Fillet hết!  :) :) :)


  • 0

66 Câu Phật Học Cho Cuộc Sống : http://ngocchinh.com...-cho-cuoc-song/

Gió đưa cây cải về trời / Rau răm ở lại chịu lời đắng cay...